package com.bcxin.ars.dto;

import java.io.Serializable;

/**
 * 图表类数据传输对象
 * 员工课程学习统计图表（需要展示的字段较多，故再开一个）
 * @author Ethan
 */
public class PersonStudyReportData implements Serializable{


	/**
	 * @author liumd
	 * @createTime 2017年4月11日
	 */
	private static final long serialVersionUID = 199907144118946546L;

	private Long personid;
	
	private Long value;
	
	private String name;
	
	//学习统计超越的百分比
	private String overPercent;
	
	//学习时长(分钟)
	private Long minute;
	
	//需要学习总时长(分钟)
	private Long studylong;
	
	//学习视频(个)
	private String num;
	
	//学习天数(天)
	private String day;
	
	//正在学习的课程
	private String trainType;
	
	

	public Long getPersonid() {
		return personid;
	}

	public void setPersonid(Long personid) {
		this.personid = personid;
	}

	public String getTrainType() {
		return trainType;
	}

	public void setTrainType(String trainType) {
		this.trainType = trainType;
	}

	public String getOverPercent() {
		return overPercent;
	}

	public void setOverPercent(String overPercent) {
		this.overPercent = overPercent;
	}

	public Long getMinute() {
		return minute;
	}

	public void setMinute(Long minute) {
		this.minute = minute;
	}

	public Long getStudylong() {
		return studylong;
	}

	public void setStudylong(Long studylong) {
		this.studylong = studylong;
	}

	public String getNum() {
		return num;
	}

	public void setNum(String num) {
		this.num = num;
	}

	public String getDay() {
		return day;
	}

	public void setDay(String day) {
		this.day = day;
	}

	public Long getValue() {
		return value;
	}

	public void setValue(Long value) {
		this.value = value;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@Override
	public String toString() {
		return "PersonStudyReportData [value=" + value + ", name=" + name + ", overPercent=" + overPercent + ", minute=" + minute + ", num=" + num + ",day=" + day + "]";
	}
	
	
}
